### Function

# Soup tld_domain_is_public_suffix

since: 3.0

#### Declaration [src]

    gboolean
    soup_tld_domain_is_public_suffix (
      const char* domain
    )

#### Description [src]

Looks whether the `domain` passed as argument is a public domain suffix (.org, .com, .co.uk, etc) or not.

Prior to libsoup 2.46, this function required that `domain` be in UTF-8 if it was an IDN. From 2.46 on, the name can be in either UTF-8 or ASCII format.

Available since: 3.0

#### Parameters

`domain`

  Type: `const char*`

  A domain name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if it is a public domain, `FALSE` otherwise.